/*******************************************************************************
 * Copyright 2011 @ Kapil Viren Ahuja
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package com.kapil.framework.exception.impl;

import com.kapil.framework.exception.BaseException;

/**
 * Thrown when a user requests an invalid data.
 */
public class DataProviderException extends BaseException
{
    private static final long serialVersionUID = -7565819688893505391L;

    /**
     * @see BusinessException
     */
    public DataProviderException(String errorCode, Throwable ex)
    {
        super(errorCode, ex);
    }

    /**
     * @see BusinessException
     */
    public DataProviderException(final String errorCode)
    {
        super(errorCode);
    }

}
